Skip to content
Справочник APIPlatformPlatform billing

Create_coupon

Эта страница пока доступна только на английском языке. Руководства переведены; автоматически генерируемый справочник API публикуется на английском.

POST
/platform/v1/billing/coupons

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/platform/v1/billing/coupons" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111" \  -H "Content-Type: application/json" \  -d '{    "applies_to": null,    "code": "string",    "duration": "string",    "kind": "string",    "value_minor": 0  }'
{  "active": true,  "applies_to": null,  "code": "string",  "created_at": "2019-08-24T14:15:22Z",  "currency": "string",  "duration": "string",  "duration_in_months": 0,  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "kind": "string",  "max_redemptions": 0,  "redeem_by": "2019-08-24T14:15:22Z",  "stripe_coupon_id": "string",  "stripe_promotion_code_id": "string",  "times_redeemed": 0,  "updated_at": "2019-08-24T14:15:22Z",  "value_minor": 0}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}